<?php
$this->load->view("manage/header.php");
?>

<div id="maincolumn">
    <?php
        if ($account["id"] == 0) {
            echo '<h2>Add New Account</h2>';
        } else {
            echo '<h2>Edit Existing Account</h2>';
        }
		echo "\n<div class=\"entry_form_field\">";
        echo form_open('manage_directory/saveaccount/'.$account['id'], array("id"=>"entryform","name"=>"entryform"));
		echo form_hidden('id', $account["id"]);
		echo form_label("Organization", "entity_id", array("class"=>"requiredField"));
		echo form_dropdown('entity_id', $entityOptions, set_value('entity_id',$account['entity_id']));
		echo '</div>';
        echo "\n<div class=\"entry_form_field\">";
		echo form_label("Social Media Type", "smtype_id", array("class"=>"requiredField"));
		echo form_dropdown('smtype_id', $smtypeOptions, set_value('smtype_id',$account['smtype_id']));
		echo '</div>';
        echo "\n<div class=\"entry_form_field\">";
        echo form_label("Username/URL<br/><em>(if URL don't include http://)</em>", "username", array("class"=>"requiredField"));
		echo form_input(array(
						'name' => 'username',
						'id' => 'username',
						'value' => set_value('username', $account['username']),
                        'length' => 256,
                        'size' => 64
						));
        echo '</div>';
        echo "\n<div class=\"entry_form_field\">";
        echo form_label("Title<br/><em>(if different than Entity)</em>", "title", array("class"=>"requiredField"));
		echo form_input(array(
						'name' => 'title',
						'id' => 'title',
						'value' => set_value('title', $account['title']),
                        'length' => 256,
                        'size' => 64
						));
        echo '</div>';
		echo "\n<div class=\"entry_form_field\">";
		echo form_label("Account Status", "status", array("class"=>"requiredField"));
		echo form_dropdown('status', $accountStatusOptions, set_value('status',$account['status']));
		echo '</div>';
		echo "\n<fieldset><legend>Review Status</legend>";
		echo "\n<div class=\"entry_form_field\">";
		echo form_label("Flagged for Review", "flagged", array("class"=>"requiredField"));
		echo form_dropdown('flagged', array(0=>"No", 1=>"Yes"), set_value('flagged',$account['flagged']));
		echo '</div>';	
		echo "\n<div class=\"entry_form_field\">";
        echo form_label("Ticket ID", "ticket", array("class"=>"requiredField"));
		echo form_input(array(
						'name' => 'ticket',
						'id' => 'ticket',
						'value' => set_value('ticket', $account['ticket']),
                        'length' => 256,
                        'size' => 64
						));
        echo '</div>';
		echo "\n<div class=\"entry_form_field\">";
        echo form_label("Comments", "comments", array("class"=>"requiredField"));
		echo form_textarea(array(
						'name' => 'comments',
						'id' => 'comments',
						'value' => set_value('comments', $account['comments']),
                        'rows' => 8,
                        'cols' => 64
						));
        echo '</div>';
		echo "\n</fieldset>";
        echo form_submit("Save", "Save");
        echo form_close();
    ?>
    <div class="deleteThis">
    	<a href="<?=site_url('manage_directory/deleteAccount/'.$account["id"].'/'.$account['entity_id'])?>">Delete This Account</a>
    </div>
</div>    

<?php
$this->load->view("manage/footer.php");
?>
