<?php
$this->load->view("manage/header.php");
?>

<div id="maincolumn">
    <div id="manage_menu">
        <a href="<?=site_url('manage_directory/addEntity/0')?>">Add Organization</a> |
        <a href="<?=site_url('manage_directory/addAccount/0/0')?>">Add Account</a>
    </div>
    <?php
    if (empty($entities)) {
	    echo '<p><em>No organizations added yet...</em> <a href="'.site_url('manage_directory/addEntity').'">Add one now.</a></p>';
    }
    foreach ($entities as $e) {
				echo '<article class="entity_listing"><header><span class="entity_name">'.$e["name"].'</span>';
				if (!empty($e["website"])) {
					echo ' <a href="'.$e["website"].'">(website)</a>';
				}
				echo '<nav>';
				echo '<a href="'.site_url('manage_directory/viewEntity/'.$e["id"]).'">(details)</a> | <a href="'.site_url('manage_directory/editEntity/'.$e["id"]).'">(edit)</a> | <a href="'.site_url('manage_directory/addAccount/0/'.$e["id"]).'">(+ account)</a></nav>';
				if (!empty($e["contact"])) {
					echo "<em>Contact: ".htmlspecialchars($e["contact"])."</em>";
				}
				echo '</header><ul>';
				foreach ($e["accounts"] as $act) {
                    echo '<li><a href="'.$smUrls[$act['smtype_id']].$act['username'].'" target="_blank">';
					if ($act["flagged"] == 1) {
						echo '<strong><em>';
					}
					if ($act["status"] != "active") {
						echo '<del>';
					}
                    if (!empty($act["title"])) {
                        echo $act["title"].' - ';
                    }
					echo $smtypeOptions[$act['smtype_id']];
					if ($act["status"] != "active") {
						echo '</del>';
					}
					if ($act["flagged"] == 1) {
						echo '</strong></em>';
					}
					echo '</a>';
					if ($act['ticket'] != 0) {
						echo ' - <a href="'.TICKET_URL.$act['ticket'].'">Ticket '.$act['ticket'].'</a> -';
					}
					echo ' <a href="'.site_url('manage_directory/editAccount/'.$act["id"]).'">(edit)</a></li>';
				}
				echo '</ul></article>';
	}
    ?>
</div>    

<?php
$this->load->view("manage/footer.php");
?>
