/* Author: Creative Services, College of William and Mary
*/
function doCommunitySearch() {
	var searchTerm = new RegExp($('#searchTerm').val(), "i");
	$('.entityList li a').each(function() {
		if ($(this).attr("title").search(searchTerm) != -1) {
			$(this).parent().parent().parent().removeClass("hide").fadeIn();
		} else if ($(this).attr("href").search(searchTerm) != -1) {
			$(this).parent().parent().parent().removeClass("hide").fadeIn();
		} else {
			$(this).parent().parent().parent().addClass("hide").fadeOut();
		}
	});
	$('.entityList').each(function() {
		if ($(this).children("li.hide").length == $(this).children("li").length) {
			$(this).prev("h3").fadeOut();
		} else {
			$(this).prev("h3").fadeIn();
		}
	});
}
$(document).ready(function() {
	// Other communities page
	$("#searchCommunities").submit(function(event) {
		event.preventDefault();
		doCommunitySearch();
	});
	$("#clearButton").click(function() {
		$('.entityList li').removeClass("hide").fadeIn();
		$('.entityList').prev("h3").fadeIn();
		$('#searchTerm').val("");
	});
	$("#filterMedia").change(function(){
		window.location = $(this).val();
	});
});